ch.qos.logback.core.rolling.helper

## Class CompressionRunnable

- java.lang.Object
- - ch.qos.logback.core.rolling.helper.CompressionRunnable

All Implemented Interfaces:
  java.lang.Runnable

    public class CompressionRunnable
    extends java.lang.Object
    implements java.lang.Runnable

### Constructor Summary

Constructors
Constructor and Description
`CompressionRunnable(Compressor compressor, java.lang.String nameOfFile2Compress, java.lang.String nameOfCompressedFile, java.lang.String innerEntryName)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressionRunnable

    public CompressionRunnable(Compressor compressor,
                       java.lang.String nameOfFile2Compress,
                       java.lang.String nameOfCompressedFile,
                       java.lang.String innerEntryName)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`